#ifndef FLUTTER_PLUGIN_FLUTTER_WEBVIEW_DESKTOP_PLUGIN_H_
#define FLUTTER_PLUGIN_FLUTTER_WEBVIEW_DESKTOP_PLUGIN_H_

#include <flutter_plugin_registrar.h>
#include <windows.h>
#ifdef FLUTTER_PLUGIN_IMPL
#define FLUTTER_PLUGIN_EXPORT __declspec(dllexport)
#else
#define FLUTTER_PLUGIN_EXPORT __declspec(dllimport)
#endif

#if defined(__cplusplus)
extern "C" {
#endif

FLUTTER_PLUGIN_EXPORT void FlutterWebviewDesktopPluginRegisterWithRegistrar(
    FlutterDesktopPluginRegistrarRef registrar);
FLUTTER_PLUGIN_EXPORT void WebviewInitCEF(HINSTANCE hInstance);
FLUTTER_PLUGIN_EXPORT void WebviewCefRunloop();
FLUTTER_PLUGIN_EXPORT void WebviewCefShutDown();
#if defined(__cplusplus)
}  // extern "C"
#endif

#endif  // FLUTTER_PLUGIN_FLUTTER_WEBVIEW_DESKTOP_PLUGIN_H_
