
#include "webview_client.h"

#include <windows.h>
#include <string>

#include "include/cef_browser.h"

void WebviewClient::PlatformTitleChange(CefRefPtr<CefBrowser> browser,
                                        const CefString &title)
{
  CefWindowHandle hwnd = browser->GetHost()->GetWindowHandle();
  if (hwnd)
    SetWindowText(hwnd, std::wstring(title).c_str());
}

// Called when a frame's address has changed.
void WebviewClient::OnAddressChange(CefRefPtr<CefBrowser> browser,
                                    CefRefPtr<CefFrame> frame,
                                    const CefString &url)
{
  if (url_changed_callback_)
  {
     url_changed_callback_(url);
  }
  
}

// todo 需要判断
// bool WebviewClient::OnCursorChange(CefRefPtr<CefBrowser> browser,
//                                    CefCursorHandle cursor,
//                                    cef_cursor_type_t type,
//                                    const CefCursorInfo &custom_cursor_info)
// {

//   cursor_changed_callback_(cursor);
//   return true;
// }