#include "include/cef_base.h"
#include "include/cef_v8.h"
#include "webview_js_handler.h"
#include <iostream>
#include <atlstr.h>
WebviewJSHandler::WebviewJSHandler( std::string fuc_name)
{
    fuc_name_ = fuc_name;
}
bool WebviewJSHandler::Execute(const CefString &name,
                               CefRefPtr<CefV8Value> object,
                               const CefV8ValueList &arguments,
                               CefRefPtr<CefV8Value> &retval,
                               CefString &exception)
{
    if (name == "postMessage")
    {

        if (arguments.size() == 2 && arguments[0]->IsString())
        {
            // ::MessageBox(NULL, L"postMessage", L"Tip", MB_OK);
            CefRefPtr<CefV8Context> context = CefV8Context::GetCurrentContext();
            CefRefPtr<CefBrowser> browser = context->GetBrowser();
            CefRefPtr<CefProcessMessage> browser_message = CefProcessMessage::Create(name);
            CefRefPtr<CefListValue> browser_arg = browser_message->GetArgumentList();
            browser_arg->SetString(0, arguments[0]->GetStringValue());
            browser_arg->SetString(1, arguments[1]->GetStringValue());
            browser->GetMainFrame()->SendProcessMessage(PID_BROWSER, browser_message);
        }

        return true;
    }

    return false;
}